# Generated from graphql_grpc-0.1.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name graphql_grpc

Name: rubygem-%{gem_name}
Version: 0.1.13
Release: 1%{?dist}
Summary: Gem for building GraphQL-to-gRPC gateways (usually using Ruby on Rails)
License: MIT
URL: https://github.com/ateamlunchbox/graphql_grpc
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(wirble)
# BuildRequires: rubygem(guard-bundler)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(ruby_robot)
BuildArch: noarch

%description
This is a gem packaging up gRPC proxy code to GraphQL from
http://examinedself.com/graphql-grpc/, along with code to generate a GraphQL
schema from gRPC stubs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/graphql_grpc.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.13-1
- Initial package
